revString {annotate} | R Documentation

## Functions to create anti-sense DNA string

### Description

These functions will reverse a DNA character string and then convert to its complement. Useful for matching to DNA sequences when you have the wrong strand sequence.

### Usage

    revString(x)
    revBase(x)

### Arguments

`x` | A character string or vector of character strings representing a DNA sequence. By default this should only contain A, C, G, T, and possibly N.

### Value

A character string or vector of character strings.

### Author(s)

James W. MacDonald

### Examples

    revString("AAACGCTGCGTTTG")

[Package annotate version 1.10.0 Index]